# forked from https://build.opensuse.org/package/view_file/openSUSE:Factory/gnome-passwordsafe/gnome-passwordsafe.spec
# spec file for package gnome-passwordsafe
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define appname PasswordSafe
%define appid   org.gnome.PasswordSafe
Name:           gnome-passwordsafe
Version:        3.32.0
Release:        1%{?dist}
Summary:        A password manager for GNOME
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/%{appname}
Source:         %{url}/-/archive/%{version}/%{appname}-%{version}.tar.bz2
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils libappstream-glib
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libhandy-0.0)
BuildRequires:  pkgconfig(pwquality)
BuildRequires:  python3 python3-devel python3-pip
BuildRequires:  python3-dateutil 
BuildRequires:  python3dist(pycparser)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(future)
BuildRequires:  python3dist(pycryptodome)
BuildRequires:  python3dist(pykeepass)
BuildRequires:  python3dist(construct)

Requires:       python3dist(pykeepass)
Requires:       python3dist(construct)
Requires:       python3dist(pycryptodome)
Requires:       python3dist(lxml)
Requires:       python3dist(pwquality)
Requires:       python3dist(argon2-cffi)
BuildArch:      noarch

%description
Password Safe is a password manager which makes use of the Keepass v.4 format.
It integrates with the GNOME desktop and provides an interface for the
management of password databases.

%prep
%setup -q -n %{appname}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang passwordsafe
	
%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appid}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appid}.desktop

%files -f passwordsafe.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/passwordsafe/
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/passwordsafe/
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/symbolic/apps/%{appid}-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml


%changelog
* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 3.32-1
- initial build